Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.ejb
Class GenericSessionBean

    java.lang.Object
      weblogic.ejb.GenericEnterpriseBean
          weblogic.ejb.GenericSessionBean

All Implemented Interfaces:
  EnterpriseBean, Serializable, SessionBean

public abstract class GenericSessionBean
extends GenericEnterpriseBean
implements SessionBean

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`GenericSessionBean()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`protected SessionContext` | `getSessionContext()`
`void` | `setSessionContext(SessionContext c)`

Methods inherited from class weblogic.ejb.GenericEnterpriseBean
`getCurrentTransaction, getCurrentTransactionStatus, getCurrentXID, getEnvEntry, getInitialContext, getTransactionManager, isTracingEnabled, logDebugMessage, logDebugMessage, logErrorMessage, logErrorMessage, setTracingEnabled, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericSessionBean

    public GenericSessionBean()

Method Detail

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `SessionBean`

### ejbCreate

    public void ejbCreate()
                   throws CreateException

  Throws:
    `CreateException`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `SessionBean`

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `SessionBean`

### getSessionContext

    protected SessionContext getSessionContext()

### setSessionContext

    public void setSessionContext(SessionContext c)

  Specified by:
    `setSessionContext` in interface `SessionBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD